Bug 1774844 - External link of container image on image security panel should open new tab on browser
Summary: External link of container image on image security panel should open new tab ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.5.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-21 05:46 UTC by XiaochuanWang
Modified: 2020-07-13 17:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-13 17:12:14 UTC
Target Upstream Version:


Attachments (Terms of Use)
pop-over panel (35.26 KB, image/png)
2019-11-21 05:46 UTC, XiaochuanWang
no flags Details
Verification screenshot (196.70 KB, image/png)
2020-05-07 03:24 UTC, XiaochuanWang
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 5267 0 None closed Bug 1774844: Make Fixable Vulnerabilities open a new window 2020-06-23 08:15:17 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:12:31 UTC

Description XiaochuanWang 2019-11-21 05:46:57 UTC
Created attachment 1638308 [details]
pop-over panel

Description of problem:
On "Security breakdown" popover page from Dashboard, click the external link of image will open the external url on current window. 

Version-Release number of selected component (if applicable):
4.3.0-0.nightly-2019-11-19-122017

How reproducible:
Always

Steps to Reproduce:
1. enable CSO on OCP cluster
2. Create a deployment with image reference to 'quay.io/hasha/rubyex-vul:latest'. the image have a cve vulnerability
3. On Dashboard page, click "Image Security". On "Security breakdown" popover panel (see attachment), click the image under "Fixable Vulnerabilities"

Actual results:
Current browser window directs to the image page.

Expected results:
It should open a new tab window for image page.

Additional info:

Comment 3 XiaochuanWang 2020-05-07 03:24:51 UTC
Created attachment 1686029 [details]
Verification screenshot

Comment 4 XiaochuanWang 2020-05-07 03:26:40 UTC
External link is corrected opened in new window (attached the screenshot)
Verified on 4.5.0-0.nightly-2020-05-06-003431

Comment 6 errata-xmlrpc 2020-07-13 17:12:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.